<template>
  <footer class="has-background-black has-text-white">
    <div class="mobile_footer custom-container columns is-align-items-center py-6">
      <div class="item-li column py-0 is-one-quarter">
        <ul class="footer__links footer__link">
          <li class="marianne">
            <a href="/" rel="noopener">
              <figure class="image">
                <g-image
                  src="~/assets/logo/ocopp_logo.png"
                  alt="OCoPP"
                  class="navbar__logo"
                  fit="inside"
                />
              </figure>
            </a>
          </li>
        </ul>
      </div>
      <div class="item-li column py-0">
        <div class="columns is-align-items-start">
          <div class="is-flex-desktop py-0 column is-justify-content-end links burk-items">
            <div class="item-li item-links burk-contact">
              <ul class="footer__links footer__link footer-title">
                <li class="title">UCP - Burkina-Faso</li>
              </ul>
              <ul class="footer__links footer__link_item">
                <li class="mentions-item">
                  <em class="fas fa-info-circle"></em>
                  RAME
                </li>
                <li class="mentions-item">
                  <em class="fas fa-phone-alt"></em>
                  +226 25 33 41 16
                </li>
                <li class="mentions-item">
                  <em class="fas fa-envelope"></em>
                  secretariat@rame-int.org
                </li>
              </ul>
            </div>
          </div>
          <div class="is-flex-desktop column py-0 is-justify-content-end links cam-items">
            <div class="item-li item-links">
              <ul class="footer__links footer__link footer-title">
                <li class="title">UCP - Cameroun</li>
              </ul>
              <ul class="footer__links footer__link_item">
                <li class="mentions-item">
                  <em class="fas fa-info-circle"></em>
                  Positive-Generation
                </li>
                <li class="mentions-item">
                  <em class="fas fa-phone-alt"></em>
                  +237 222 23 88 60
                </li>
                <li class="mentions-item">
                  <em class="fas fa-envelope"></em>
                  info@positivegeneration.com
                </li>
              </ul>
            </div>
          </div>
          <div class="is-flex-desktop py-0 is-flex-tablet column is-justify-content-end links utils-links is-one-quarter">
            <div class="item-li item-links">
              <ul class="footer__links footer__link">
                <li class="title">Liens utiles</li>
              </ul>
              <ul class="footer__links footer__link_item">
                <li class="mentions-item">
                  <g-link to="/mentions-dinformations">CGU</g-link>
                </li>
                <li class="mentions-item">
                  <g-link to="/mentions-legales">Mentions légales</g-link>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </div>
    </div>
  </footer>
</template>
<script
  type="text/javascript"
  src="https://app.mailjet.com/statics/js/iframeResizer.min.js"
></script>
<script>
export default {
  data() {
    return {};
  },
};
</script>

<style scoped lang="scss">
@media only screen and (max-width: 768px) {
  .mobile_footer {
    align-self: center;
    justify-content: space-around;
    flex-wrap: wrap;
    flex-direction: column;
    margin-bottom: 0 !important;
  }
}

.navbar__domain {
  width: 10em;
}

.footer__links a {
  font-size: 1.02em;
  color: #ffffff;
}
.footer__link {
  display: flex;
  align-items: center;
}
.footer__links a:hover {
  font-size: 1.02em;
  background: #007452;
  color: #ffffff;
}
.footer__link_item {
  display: flex;
  flex-direction: column;
}

@media only screen and (min-width: 416px) and (max-width: 768px) {
  .footer__links {
    text-align: center;
  }
}

@media only screen and (max-width: 415px) {
  .footer__links {
    text-align: center;
  }
}
@media only screen and (min-width: 900px) {
  .items-li {
    padding-right: 320px;
  }
}
@media only screen and (min-width: 768px) and (max-width: 1024px) {
  .items-li {
    padding-left: 100px;
    padding-right: 300px;
  }
  .item-li {
    padding-right: 100px;
  }
}
.image {
  width: 200px;
}

.col1 {
  display: flex;
  align-items: center;
}

.fas {
  padding-right: 5px;
}

.title {
  padding-top: 4px;
}

.mentions-item {
  max-width: 100%;
}

.item-links {
  width: max-content;
}

@media only screen and (min-width: 320px) and (max-width: 480px) {
  .title {
    padding-bottom: 0;
    padding-left: 0;
  }

  .mentions-item {
    padding-right: 15px;
  }

  .image {
    padding-left: 40px;
  }

  .links {
    display: flex !important;
    justify-content: center !important;
  }

  .footer-title {
    justify-content: center;
  }
}

@media only screen and (min-width: 800px) and (max-width: 1024px) {
  .is-one-quarter {
    width: 50%;
  }
  .burk-items {
    width: 50% !important;
  }
  .cam-items {
    padding-top: 20px;
    width: 50%;
  }
  .utils-links {
    width: 50%;
    padding-top: 20px;
    justify-content: start !important;
  }
  .custom-container {
    display: flex;
    justify-content: flex-start;
    flex-wrap: wrap;
  }
  .custom-container div:nth-child(2) {
    width: 100%;
  }
}
</style>
